Foreman - Bug #5834

Hosts: "." in the name is invalid - user is told this but the Ul adds one anyway.
05/20/2014 04:24 PM - Dominic Cleal

Status: Closed

Priority: Normal

Assignee: Joseph Magen

Category: Host creation

Target version: 1.5.1

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1087628 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1087628

Description of problem:

When user begins creating a host, enters a string in the Name field, and submits, they are told "must not include periods and is
invalid". It turns out the Ul itself is adding this "."!

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140404.0

How reproducible:

Steps to Reproduce:

1. Hosts > New Host

2. for Name, enter the value "abcdef"

3. Hit the submit button (yes, obv. there are other things that need to get filled out to create a host, but inconsequential for this test)
4. View results.

Actual results:
error message: "must not include periods and is invalid”

sure enough, a "." is added to the end of the string (it reads "abcdef."

Expected results:
No extraneous "."!

Additional info:
Occurs in Chrome and FF.

Related issues:
Has duplicate Foreman - Bug #5644: Misleading period while creating new host Duplicate 05/09/2014
Has duplicate Foreman - Bug #4602: misleading error regarding host name when ... New 03/09/2014

Associated revisions

Revision e254ea51 - 06/06/2014 10:13 AM - Joseph Magen

fixes #5834 - Hosts: . in the name is invalid - user is told this but the Ul adds one anyway

Revision 02d675cb - 06/11/2014 01:02 PM - Joseph Magen

fixes #5834 - Hosts: . in the name is invalid - user is told this but the Ul adds one anyway

(cherry picked from commit e254ea513a803d651d2f0cfbee5162db414b0b80)

History

#1 - 05/20/2014 04:25 PM - Dominic Cleal

- Category set to Host creation

Please note that this bug is very specific. A user is still expected to specify a domain on the Network tab, or may enter an FQDN in the name field if it
https://bugzilla.redhat.com/show_bug.cgi?id=1087628

matches one of the known domains.

#2 - 05/22/2014 07:59 AM - Joseph Magen
- Assignee set to Joseph Magen
- Target version set to 1.8.2

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1464

#3 - 06/06/2014 10:14 AM - Dominic Cleal

- translation missing: en.field_release set to 16

#4 - 06/06/2014 12:31 PM - Joseph Magen
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset e254ea513a803d651d2f0ctbee5162db414b0b80.

#5 - 06/06/2014 05:28 PM - Dominic Cleal
- Has duplicate Bug #5644: Misleading period while creating new host added

#6 - 06/06/2014 05:28 PM - Dominic Cleal

- Has duplicate Bug #4602: misleading error regarding host name when creating a host added
